## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate blosc2-sys
%global upstream_version 0.3.1+2.15.1

Name:           rust-blosc2-sys
Version:        0.3.1
Release:        %autorelease
Summary:        Bindings to C Blosc2

License:        MIT
URL:            https://crates.io/crates/blosc2-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          blosc2-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Make bindgen and pkg-config non-optional
Patch:          blosc2-sys-fix-metadata.diff
# * Downstream-only: always use the system blosc2 and regenerate bindings
Patch10:       blosc2-sys-0.3.1-system-blosc2.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  tomcli
BuildRequires:  pkgconfig(blosc2)

%global _description %{expand:
Bindings to C Blosc2.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(blosc2)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prefer-external-lz4-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prefer-external-lz4-devel %{_description}

This package contains library source intended for building other packages which
use the "prefer-external-lz4" feature of the "%{crate}" crate.

%files       -n %{name}+prefer-external-lz4-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prefer-external-zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prefer-external-zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "prefer-external-zlib" feature of the "%{crate}" crate.

%files       -n %{name}+prefer-external-zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prefer-external-zstd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prefer-external-zstd-devel %{_description}

This package contains library source intended for building other packages which
use the "prefer-external-zstd" feature of the "%{crate}" crate.

%files       -n %{name}+prefer-external-zstd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regenerate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regenerate-bindings-devel %{_description}

This package contains library source intended for building other packages which
use the "regenerate-bindings" feature of the "%{crate}" crate.

%files       -n %{name}+regenerate-bindings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+shared-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+shared-devel %{_description}

This package contains library source intended for building other packages which
use the "shared" feature of the "%{crate}" crate.

%files       -n %{name}+shared-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-system-blosc2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-system-blosc2-devel %{_description}

This package contains library source intended for building other packages which
use the "use-system-blosc2" feature of the "%{crate}" crate.

%files       -n %{name}+use-system-blosc2-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# Remove the bundled copy of blosc2
rm -rv c-blosc2

# These would only be needed to build the bundled blosc2:
tomcli set Cargo.toml del build-dependencies.cmake
tomcli set Cargo.toml del build-dependencies.copy_dir

# To be more pedantically correct, replace the hard-coded /usr/include patched
# into build.rs with the expansion of %%{_includedir}.
sed -r -i 's@/usr/include\b@%{_includedir}@' build.rs

# Remove pre-generated bindings, proving that we actually re-generate them
rm src/bindings.rs

%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Sep 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-1
- Update to 0.3.1 (close RHBZ#2313162)

* Mon Sep 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0-1
- Update to 0.3.0 (close RHBZ#2310843)

* Tue Aug 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-2
- Fix unconditional regeneration of bindings

* Tue Aug 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-1
- Initial package (close RHBZ#2279337)
## END: Generated by rpmautospec
